KDE 4.2 PyKDE API Reference

- KDE's Python API

# NodeIterator Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano::NodeIteratorBase
Subclasses: Soprano::Client::DBusNodeIterator, Soprano::Util::SimpleNodeIterator
Namespace: Soprano

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, Soprano.NodeIteratorBackendBase sti)
| __init__ (self, Soprano.NodeIterator sti)
[Soprano.Node] | allNodes (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Soprano.NodeIteratorBackendBase | sti
| ) |  |  |

__init__ | ( | self, |
|  | Soprano.NodeIterator | sti
| ) |  |  |

[Soprano.Node] allNodes | ( |  | self ) |